org.eclipse.rdf4j.model.vocabulary

## Class VOID

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.VOID

-     public class VOID
      extends Object

  Constants for the W3C Vocabulary of Interlinked Datasets.
  Author:
    Bart Hanssens
  See Also:
    Vocabulary of Interlinked Datasets

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `CLASS` void:class
    `static IRI` | `CLASS_PARTITION` void:classPartition
    `static IRI` | `CLASSES` void:classes
    `static IRI` | `DATA_DUMP` void:dataDump
    `static IRI` | `DATASET` void:Dataset
    `static IRI` | `DATASET_DESCRIPTION` void:DatasetDescription
    `static IRI` | `DISTINCT_OBJECTS` void:distinctObjects
    `static IRI` | `DISTINCT_SUBJECTS` void:distinctSubjects
    `static IRI` | `DOCUMENTS` void:documents
    `static IRI` | `ENTITIES` void:entities
    `static IRI` | `EXAMPLE_RESOURCE` void:exampleResource
    `static IRI` | `FEATURE` void:feature
    `static IRI` | `IN_DATASET` void:inDataset
    `static IRI` | `LINK_PREDICATE` void:linkPredicate
    `static IRI` | `LINKSET` void:Linkset
    `static String` | `NAMESPACE` The VoID namespace: http://rdfs.org/ns/void#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the VoID namespace.
    `static IRI` | `OBJECTS_TARGET` void:objectsTarget
    `static IRI` | `OPEN_SEARCH_DESCRIPTION` void:openSearchDescription
    `static String` | `PREFIX` Recommended prefix for the VoID namespace: "void"
    `static IRI` | `PROPERTIES` void:properties
    `static IRI` | `PROPERTY` void:property
    `static IRI` | `PROPERTY_PARTITION` void:propertyPartition
    `static IRI` | `ROOT_RESOURCE` void:rootResource
    `static IRI` | `SPARQL_ENDPOINT` void:sparqlEndpoint
    `static IRI` | `SUBJECTS_TARGET` void:subjectsTarget
    `static IRI` | `SUBSET` void:subset
    `static IRI` | `TARGET` void:target
    `static IRI` | `TECHNICAL_FEATURE` void:TechnicalFeature
    `static IRI` | `TRIPLES` void:triples
    `static IRI` | `URI_LOOKUP_ENDPOINT` void:uriLookupEndpoint
    `static IRI` | `URI_REGEX_PATTERN` void:uriRegexPattern
    `static IRI` | `URI_SPACE` void:uriSpace
    `static IRI` | `VOCABULARY` void:vocabulary

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VOID()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The VoID namespace: http://rdfs.org/ns/void#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the VoID namespace: "void"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the VoID namespace.

    - #### DATASET

          public static final IRI DATASET

      void:Dataset

    - #### DATASET_DESCRIPTION

          public static final IRI DATASET_DESCRIPTION

      void:DatasetDescription

    - #### LINKSET

          public static final IRI LINKSET

      void:Linkset

    - #### TECHNICAL_FEATURE

          public static final IRI TECHNICAL_FEATURE

      void:TechnicalFeature

    - #### CLASS

          public static final IRI CLASS

      void:class

    - #### CLASS_PARTITION

          public static final IRI CLASS_PARTITION

      void:classPartition

    - #### CLASSES

          public static final IRI CLASSES

      void:classes

    - #### DATA_DUMP

          public static final IRI DATA_DUMP

      void:dataDump

    - #### DISTINCT_OBJECTS

          public static final IRI DISTINCT_OBJECTS

      void:distinctObjects

    - #### DISTINCT_SUBJECTS

          public static final IRI DISTINCT_SUBJECTS

      void:distinctSubjects

    - #### DOCUMENTS

          public static final IRI DOCUMENTS

      void:documents

    - #### ENTITIES

          public static final IRI ENTITIES

      void:entities

    - #### EXAMPLE_RESOURCE

          public static final IRI EXAMPLE_RESOURCE

      void:exampleResource

    - #### FEATURE

          public static final IRI FEATURE

      void:feature

    - #### IN_DATASET

          public static final IRI IN_DATASET

      void:inDataset

    - #### LINK_PREDICATE

          public static final IRI LINK_PREDICATE

      void:linkPredicate

    - #### OBJECTS_TARGET

          public static final IRI OBJECTS_TARGET

      void:objectsTarget

    - #### OPEN_SEARCH_DESCRIPTION

          public static final IRI OPEN_SEARCH_DESCRIPTION

      void:openSearchDescription

    - #### PROPERTIES

          public static final IRI PROPERTIES

      void:properties

    - #### PROPERTY

          public static final IRI PROPERTY

      void:property

    - #### PROPERTY_PARTITION

          public static final IRI PROPERTY_PARTITION

      void:propertyPartition

    - #### ROOT_RESOURCE

          public static final IRI ROOT_RESOURCE

      void:rootResource

    - #### SPARQL_ENDPOINT

          public static final IRI SPARQL_ENDPOINT

      void:sparqlEndpoint

    - #### SUBJECTS_TARGET

          public static final IRI SUBJECTS_TARGET

      void:subjectsTarget

    - #### SUBSET

          public static final IRI SUBSET

      void:subset

    - #### TARGET

          public static final IRI TARGET

      void:target

    - #### TRIPLES

          public static final IRI TRIPLES

      void:triples

    - #### URI_LOOKUP_ENDPOINT

          public static final IRI URI_LOOKUP_ENDPOINT

      void:uriLookupEndpoint

    - #### URI_REGEX_PATTERN

          public static final IRI URI_REGEX_PATTERN

      void:uriRegexPattern

    - #### URI_SPACE

          public static final IRI URI_SPACE

      void:uriSpace

    - #### VOCABULARY

          public static final IRI VOCABULARY

      void:vocabulary

  - ### Constructor Detail

    - #### VOID

          public VOID()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.